.goodcryptox-flexible-main {
  --size: 240px;
  --blur: 52px;
  --translate: 0%, -50%;
  position: relative;
  padding-top: var(--section-y);
}
.goodcryptox-flexible-main.blur-pic .pic:before {
  content: "";
  left: 50%;
  top: 50%;
  position: absolute;
  will-change: filter;
  filter: blur(var(--blur));
  width: var(--size);
  height: var(--size);
  transform: translate(var(--translate));
  background: var(--color-primary);
  border-radius: 50%;
}
.goodcryptox-flexible-main .m-left {
  position: relative;
  z-index: 10;
}
.goodcryptox-flexible-main .m-left h1 span {
  color: var(--color-primary);
}
.goodcryptox-flexible-main .m-left .text {
  margin: 30px 0 30px 0;
  font-size: 18px;
}
.goodcryptox-flexible-main .m-left .text * {
  font-size: inherit;
}
.goodcryptox-flexible-main .m-left .text a {
  text-decoration: underline;
}
.goodcryptox-flexible-main .m-left .text a:hover {
  text-decoration: none;
}
.goodcryptox-flexible-main .pic {
  position: relative;
  height: 485px;
}
.goodcryptox-flexible-main .pic>img {
  max-height: 100%;
  position: relative;
  z-index: 2;
}
@media (min-width: 768px) and (max-width: 1199px) {
  .goodcryptox-flexible-main {
    --size: 220px;
    --blur: 42px;
  }
  .goodcryptox-flexible-main .m-left .text {
    max-width: 600px;
    margin: 40px auto;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .goodcryptox-flexible-main {
    text-align: center;
    padding-top: 50px;
  }
}
@media (max-width: 767px) {
  .goodcryptox-flexible-main {
    padding: 40px 0 0 0;
    --size: 120px;
    --blur: 32px;
  }
  .goodcryptox-flexible-main .pic {
    height: 255px;
  }
  .goodcryptox-flexible-main .m-left {
    margin: 0;
  }
  .goodcryptox-flexible-main .m-left .text {
    margin: 25px 0 30px 0;
  }
  .goodcryptox-flexible-main .order a {
    width: 100%;
  }
}
.goodcryptox-bot-features {
  padding: 110px 0 0 0;
  position: relative;
  --pic: url(../../../../uploads/2026/07/block-pic.webp);
  --pic-size: 105px;
}
.goodcryptox-bot-features.bg-section {
  --bg: url(../../../../uploads/2026/07/features-bg-line-1.webp) no-repeat center / cover;
}
.goodcryptox-bot-features.bg-section:before {
  position: absolute;
  content: '';
  left: 50%;
  top: 50%;
  transform: translate(-50%,-23%);
  width: 100%;
  background: var(--bg);
  z-index: -1;
  min-width: 1850px;
  aspect-ratio: 1.8630412890232;
  mask-image: linear-gradient(to bottom,#000000 80%,rgba(0,0,0,0.5) 95%,rgba(0,0,0,0) 100%);
  -webkit-mask-image: linear-gradient(to bottom,#000000 80%,rgba(0,0,0,0.5) 95%,rgba(0,0,0,0) 100%);
}
@media (max-width: 767px) {
  .goodcryptox-bot-features.bg-section:before {
    min-width: 1040px;
    top: 0;
    transform: translate(-50%,-4%);
  }
}
.goodcryptox-bot-features .for-title {
  margin: 0 0 90px 0;
  max-width: 800px;
}
.goodcryptox-bot-features .for-title .text-block {
  margin-top: 30px;
}
.goodcryptox-bot-features .blocks .row {
  row-gap: 24px;
}
.goodcryptox-bot-features .block {
  height: 100%;
  padding: 30px;
  gap: 30px;
  display: flex;
  flex-direction: column;
}
.goodcryptox-bot-features .block h3,
.goodcryptox-bot-features .block .tit {
  font-size: 24px;
  font-weight: 400;
  color: var(--color-light);
}
.goodcryptox-bot-features .block .text {
  color: var(--color-gray);
  margin-top: 10px;
}
.goodcryptox-bot-features .block .order {
  margin-top: auto;
}
.goodcryptox-bot-features .main-btn {
  text-align: center;
  margin-top: 40px;
}
@media (min-width: 768px) {
  .goodcryptox-bot-features.last-block-pic .blocks .row>div:last-of-type .block {
    position: relative;
    background: rgba(1,239,103,0.05);
    box-shadow: inset 0px 0px 20px #01EF67;
  }
  .goodcryptox-bot-features.last-block-pic .blocks .row>div:last-of-type .block:after {
    position: absolute;
    content: '';
    background-image: var(--pic);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    width: var(--pic-size);
    aspect-ratio: 1;
    right: 30px;
    bottom: 30px;
  }
}
@media (max-width: 767px) {
  .goodcryptox-bot-features {
    padding: 65px 0 0 0;
  }
  .goodcryptox-bot-features .for-title {
    margin: 0 0 30px 0;
  }
  .goodcryptox-bot-features .block {
    padding: 20px;
  }
  .goodcryptox-bot-features .block h3,
  .goodcryptox-bot-features .block .tit {
    font-size: 18px;
  }
  .goodcryptox-bot-features .cl-btn {
    width: 100%;
  }
  .goodcryptox-bot-features .main-btn {
    text-align: center;
    margin-top: 30px;
  }
}
.crypto-trading-platform {
  padding: 120px 0 0 0;
}
.crypto-trading-platform .for-title {
  max-width: 800px;
  margin: 0 0 50px 0;
}
.crypto-trading-platform .for-title .text {
  margin-top: 20px;
  color: var(--color-gray);
}
.crypto-trading-platform .blocks .block {
  display: flex;
  align-items: center;
  column-gap: 45px;
}
.crypto-trading-platform .blocks .block:not(:last-of-type) {
  margin-bottom: 40px;
}
.crypto-trading-platform .blocks .pic {
  width: 320px;
  flex-shrink: 0;
  overflow: hidden;
}
.crypto-trading-platform .blocks .pic img {
  width: 100%;
  display: block;
}
.crypto-trading-platform .blocks .content {
  flex-grow: 1;
}
.crypto-trading-platform .blocks .content .tit,
.crypto-trading-platform .blocks .content h3 {
  color: var(--color-primary);
  font-size: 24px;
  font-weight: 400;
  margin: 0 0 10px 0;
}
.crypto-trading-platform .blocks .content .text {
  color: var(--color-gray);
}
.crypto-trading-platform .blocks .content .order {
  margin: 30px 0 0 0;
}
@media (max-width: 767px) {
  .crypto-trading-platform {
    padding: 65px 0 0 0;
  }
  .crypto-trading-platform .for-title {
    margin: 0 0 35px 0;
  }
  .crypto-trading-platform .blocks .block {
    flex-direction: column;
    align-items: flex-start;
  }
  .crypto-trading-platform .blocks .block:not(:last-of-type) {
    margin-bottom: 40px;
  }
  .crypto-trading-platform .blocks .pic {
    width: 100%;
    max-width: 100%;
    margin-bottom: 25px;
  }
  .crypto-trading-platform .blocks .content .tit,
  .crypto-trading-platform .blocks .content h3 {
    font-size: 20px;
  }
}
.exchanges-new-dark {
  padding: 100px 0 0 0;
}
.exchanges-new-dark .for-title {
  margin: 0 0 40px 0;
}
.exchanges-new-dark .for-title:has(p) h2 {
  margin-bottom: 20px;
}
.exchanges-new-dark .e-block {
  height: 65px;
  padding: 20px 20px;
  border-radius: 10px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px dashed #384148;
}
.exchanges-new-dark .e-block.disable {
  pointer-events: none;
}
.exchanges-new-dark .e-block.disable img {
  opacity: 0.5;
}
.exchanges-new-dark .e-block img {
  max-width: 100%;
  max-height: 100%;
  filter: brightness(0) invert(1);
}
@media (min-width: 768px) {
  .exchanges-new-dark .swiper-wrapper {
    display: grid;
    gap: 24px;
    grid-template-columns: repeat(6,1fr);
  }
}
@media (min-width: 768px) and (max-width: 1199px) {
  .exchanges-new-dark .swiper-wrapper {
    gap: 14px;
  }
}
@media (max-width: 767px) {
  .exchanges-new-dark {
    padding: 60px 0 0 0;
  }
  .exchanges-new-dark .for-title {
    margin: 0 0 30px 0;
  }
  .exchanges-new-dark .for-title:has(p) h2 {
    margin-bottom: 15px;
  }
  .exchanges-new-dark .swiper-slide {
    display: grid;
    gap: 16px;
    grid-template-columns: repeat(2,1fr);
  }
  .exchanges-new-dark .swiper-button-bd {
    margin-top: 30px;
  }
}
.futures-bot {
  padding: var(--section-y) 0;
  --size: 190px;
  --blur: 45px;
  --translate: 0%, -50%;
  position: relative;
}
.futures-bot.no-bg .content-wrapper {
  padding: 0;
  background: none;
  box-shadow: none;
  border-radius: 0;
}
.futures-bot.grad-bg .content-wrapper {
  background: url(../../../../uploads/2026/04/welcome-block-bg.webp) no-repeat center / cover;
}
@media (max-width: 767px) {
  .futures-bot.grad-bg .content-wrapper {
    background-position: bottom right;
  }
}
.futures-bot.blur-pic .pic:before {
  content: "";
  left: 50%;
  top: 50%;
  position: absolute;
  will-change: filter;
  filter: blur(var(--blur));
  width: var(--size);
  height: var(--size);
  transform: translate(var(--translate));
  background: var(--color-primary);
  border-radius: 50%;
}
.futures-bot .content-wrapper {
  padding: 60px 70px 60px 70px;
}
.futures-bot .content-wrapper .text-block h2 {
  margin-bottom: 29px;
}
.futures-bot .title {
  margin: 0 0 24px 0;
}
.futures-bot .text {
  margin-top: 25px;
}
.futures-bot .order {
  margin: 28px 0 0 0;
}
.futures-bot .pic {
  position: relative;
}
.futures-bot .pic img {
  max-width: 100%;
  z-index: 2;
  position: relative;
}
@media (min-width: 768px) and (max-width: 1199px) {
  .futures-bot {
    --size: 160px;
    --blur: 35px;
  }
  .futures-bot .content-wrapper {
    padding: 40px 24px 34px 24px;
  }
}
@media (max-width: 767px) {
  .futures-bot {
    --size: 120px;
    --blur: 35px;
  }
  .futures-bot .pic {
    margin-top: 25px;
  }
  .futures-bot .order a,
  .futures-bot .order button {
    width: 100%;
    max-width: 100%;
  }
  .futures-bot .content-wrapper {
    padding: 40px 24px 20px 24px;
  }
  .futures-bot .content-wrapper .text-block h2 {
    margin-bottom: 20px;
  }
}
.how-get {
  padding: 120px 0 0px 0;
}
.how-get .for-title {
  margin: 0 0 40px 0;
  max-width: 800px;
}
.how-get .for-title .text-block {
  margin-top: 30px;
}
.how-get .blocks .row {
  row-gap: 24px;
}
.how-get .block {
  padding: 25px 30px;
  height: 100%;
  display: flex;
  align-items: center;
  column-gap: 15px;
  font-size: 14px;
}
.how-get .block .icon {
  width: 120px;
  flex-shrink: 0;
}
.how-get .block .step-number {
  color: var(--color-gray-2);
  font-size: 14px;
  margin-bottom: 12px;
  text-transform: uppercase;
}
.how-get .block .tit {
  font-size: 16px;
  font-weight: 400;
  color: var(--color-light);
}
.how-get .block .tit span {
  color: var(--color-primary);
}
.how-get .block .text-block {
  margin-top: 6px;
}
@media (min-width: 992px) and (max-width: 1199px) {
  .how-get .block {
    padding: 20px 20px;
    column-gap: 20px;
  }
  .how-get .block .icon {
    width: 96px;
  }
  .how-get .block .step-number {
    margin-bottom: 11px;
  }
  .how-get .block .tit {
    font-size: 16px;
  }
}
@media (max-width: 767px) {
  .how-get {
    padding: 75px 0 0 0;
  }
  .how-get .block {
    padding: 20px 30px;
    column-gap: 13px;
  }
  .how-get .block .step-number {
    margin-bottom: 6px;
  }
  .how-get .for-btn {
    margin-top: 40px;
  }
}
.faq-bot {
  padding: 120px 0 0 0;
}
.faq-bot .title {
  margin-bottom: 40px;
}
@media (min-width: 768px) and (max-width: 1199px) {
  .faq-bot {
    padding: 90px 0 0 0;
  }
}
@media (max-width: 767px) {
  .faq-bot {
    padding: 65px 0 0 0;
  }
  .faq-bot .title {
    margin-bottom: 30px;
  }
}
